Subject: bug#68762: 30.0.50; thing-at-point for an e-mail adress stops at "."

From: Eshel Yaron <[email-masked]>
Date: Sat, 10 Feb 2024 17:48:42 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Eshel Yaron <[email-masked]>
>> Cc: [email-masked],  [email-masked],  [email-masked],
>>   [email-masked]
>> Date: Thu, 01 Feb 2024 12:10:35 +0100
>>
>> > Eshel, would you like to add some tests for this?
>>
>> Sure, I'm attaching below a patch with a slightly cleaner implementation
>> and a couple of tests.
>>
>> Note that this is a complete rewrite of a function that mostly haven't
>> changed since 1997, so please give it a close look before installing, in
>> case there's some use case that didn't occur to me and isn't covered by
>> the existing tests.
>
> Thanks, I boldly went ahead and installed this on master.  Closing.

Thanks.  I've found an edge case that my implementation didn't handle
correctly.  I'm not sure it affects any of the actual uses of this
function, but nevertheless I pushed a small fix along with a another
test case in 939187fd7a0.

Best,

Eshel